Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

【Android】NumberPicker(ナンバーピッカー)の使い方


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

数字を入力する場合には、NumberPicker(ナンバーピッカー)を使うと便利です。
NumberPickerはAPIレベル11から利用が可能です。

続きを読む

【Android】package-info.javaについて


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

Androidでパッケージを新規で作成すると、package-info.javaというファイルが作成されました。
package-info.javaは、Java5からJavadocのパッケージコメントを書くためにできたみたいです。

利用しない場合は、パッケージ作成時に「package-info.javaを作成する」のチェックを外せば良いかと思います。

【Android】DialogFragmentの基本


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

DialogFragmentの使い方です。
今までは「Activity.showDialog」を使用していましたが、APIレベル13で非推奨となりました。
これからはDialogFragmentを使用して、ダイアログを表示することになります。

続きを読む

【Android】インテント:アプリから電話をかける


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

アプリから電話をかけるには、Intentを使います。

続きを読む

【Android】Eclipse ADT Pluginのアップデート


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

久しぶりにアンドロイドの開発環境をアップデートしようとしたら、
エラーが出てしまいました。
以下の方法で解決しました。

ヘルプ > 新規ソフトウェアのインストール > 追加

下記URLを追加する。
https://dl-ssl.google.com/android/eclipse/

自分の環境では、下記のように「http」となっていたのが原因だったみたいです。
http://dl-ssl.google.com/android/eclipse/

【Android】指定したアプリを起動する方法(クラス名を指定する)


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

クラス名を指定してインストールしている他のアプリを起動する方法について。
続きを読む

【Android】指定したアプリを起動する方法(パッケージ名のみ)


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

クラスを指定せずにアプリを起動したい場合について。
続きを読む

【Android】ダイアログ(まとめ)


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

アンドロイドのダイアログについてまとめてみました。
詳しい実装方法は、タイトルのリンク先を見て下さい。
続きを読む

【Android】プログレスダイアログの表示2


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

プログレスダイアログの表示方法です。
ボタンを押すと、下記のようなダイアログを表示します。

プログレスダイアログ

続きを読む

【Android】プログレスダイアログの表示1


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

プログレスダイアログの表示方法です。
ボタンを押すと、下記のようなダイアログを表示します。

プログレスダイアログ

続きを読む

return top


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/popotoo/www/popotoo/andoroid/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524